Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Interface OfficeDrawing

    public interface OfficeDrawing

User-friendly interface to office drawing objects.

Some properties and enumeration constants description are quotes from the following sources:

- [MS-ODRAW] -- v20110608; Office Drawing Binary File Format; Copyright (c) 2011 Microsoft Corporation.

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Nested Class Summary
`static class` | `OfficeDrawing.HorizontalPositioning`
`static class` | `OfficeDrawing.HorizontalRelativeElement`
`static class` | `OfficeDrawing.VerticalPositioning`
`static class` | `OfficeDrawing.VerticalRelativeElement`

Method Summary
`OfficeDrawing.HorizontalPositioning` | `getHorizontalPositioning()` Returns the type of horizontal positioning to use for a shape
`OfficeDrawing.HorizontalRelativeElement` | `getHorizontalRelative()` Specifies a page element relative to which a shape is horizontally positioned
`org.apache.poi.ddf.EscherContainerRecord` | `getOfficeArtSpContainer()` Returns escher record that represent shape container (record type is `0xF004`).
`byte[]` | `getPictureData()` Returns picture data if this shape has (single?) associated picture data
`int` | `getRectangleBottom()` Bottom of the rectangle enclosing shape relative to the origin of the shape
`int` | `getRectangleLeft()` Left of rectangle enclosing shape relative to the origin of the shape
`int` | `getRectangleRight()` Right of rectangle enclosing shape relative to the origin of the shape
`int` | `getRectangleTop()` Top of rectangle enclosing shape relative to the origin of the shape
`int` | `getShapeId()` Shape Identifier
`OfficeDrawing.VerticalPositioning` | `getVerticalPositioning()` Specifies the type of vertical positioning to use for a shape
`OfficeDrawing.VerticalRelativeElement` | `getVerticalRelativeElement()` Specifies a page element relative to which a shape is vertically positioned

Method Detail

### getHorizontalPositioning

    OfficeDrawing.HorizontalPositioning getHorizontalPositioning()

  Returns the type of horizontal positioning to use for a shape

  Returns:
    the type of horizontal positioning to use for a shape

### getHorizontalRelative

    OfficeDrawing.HorizontalRelativeElement getHorizontalRelative()

  Specifies a page element relative to which a shape is horizontally positioned

  Returns:
    a page element relative to which a shape is horizontally positioned

### getOfficeArtSpContainer

    org.apache.poi.ddf.EscherContainerRecord getOfficeArtSpContainer()

  Returns escher record that represent shape container (record type is `0xF004`). Returned record has a child with record type `0xF00A` and value of shape id equals to `getShapeId()`.

  Returns:
    Returns office art shape container or `null` if not found

### getPictureData

    byte[] getPictureData()

  Returns picture data if this shape has (single?) associated picture data

### getRectangleBottom

    int getRectangleBottom()

  Bottom of the rectangle enclosing shape relative to the origin of the shape

### getRectangleLeft

    int getRectangleLeft()

  Left of rectangle enclosing shape relative to the origin of the shape

### getRectangleRight

    int getRectangleRight()

  Right of rectangle enclosing shape relative to the origin of the shape

### getRectangleTop

    int getRectangleTop()

  Top of rectangle enclosing shape relative to the origin of the shape

### getShapeId

    int getShapeId()

  Shape Identifier

### getVerticalPositioning

    OfficeDrawing.VerticalPositioning getVerticalPositioning()

  Specifies the type of vertical positioning to use for a shape

  Returns:
    return the type of vertical positioning to use for a shape

### getVerticalRelativeElement

    OfficeDrawing.VerticalRelativeElement getVerticalRelativeElement()

  Specifies a page element relative to which a shape is vertically positioned

  Returns:
    a page element relative to which a shape is vertically positioned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD